Discover Government News



# Security update for the Linux Kernel RT (Live Patch 1 for SLE 15 SP5)

Announcement ID: SUSE-SU-2024:0995-1  
Rating: important  
References:

  * bsc#1215887
  * bsc#1216898
  * bsc#1218487
  * bsc#1218610

  
Cross-References:

  * CVE-2023-39191
  * CVE-2023-46813
  * CVE-2023-51779
  * CVE-2023-6531

  
CVSS scores:

  * CVE-2023-39191 ( SUSE ):  8.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H
  * CVE-2023-39191 ( NVD ):  8.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H
  * CVE-2023-46813 ( SUSE ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-46813 ( NVD ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-51779 ( SUSE ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-6531 ( SUSE ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H
  * CVE-2023-6531 ( NVD ):  7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

  
Affected Products:

  * openSUSE Leap 15.5
  * SUSE Linux Enterprise High Performance Computing 15 SP5
  * SUSE Linux Enterprise Live Patching 15-SP5
  * SUSE Linux Enterprise Micro 5.5
  * SUSE Linux Enterprise Real Time 15 SP5
  * SUSE Linux Enterprise Server 15 SP5
  * SUSE Linux Enterprise Server for SAP Applications 15 SP5

  
  
An update that solves four vulnerabilities can now be installed.

## Description:

This update for the Linux Kernel 5.14.21-150500_13_5 fixes several issues.

The following security issues were fixed:

  * CVE-2023-6531: Fixed a use-after-free flaw due to a race problem in the unix
    garbage collector's deletion of SKB races with unix_stream_read_generic()on
    the socket that the SKB is queued on (bsc#1218487).
  * CVE-2023-46813: Fixed a local privilege escalation with user-space programs
    that have access to MMIO regions (bsc#1216898).
  * CVE-2023-39191: Fixed a lack of validation of dynamic pointers within user-
    supplied eBPF programs that may have allowed an attacker with CAP_BPF
    privileges to escalate privileges and execute arbitrary code. (bsc#1215863)
  * CVE-2023-51779: Fixed a use-after-free because of a bt_sock_ioctl race
    condition in bt_sock_recvmsg (bsc#1218610).

## Patch Instructions:

To install this SUSE update use the SUSE recommended installation methods like
YaST online_update or "zypper patch".  
Alternatively you can run the command listed for your product:

  * openSUSE Leap 15.5  
    zypper in -t patch SUSE-2024-995=1

  * SUSE Linux Enterprise Live Patching 15-SP5  
    zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP5-2024-995=1

## Package List:

  * openSUSE Leap 15.5 (x86_64)
    * kernel-livepatch-SLE15-SP5-RT_Update_1-debugsource-8-150500.2.2
    * kernel-livepatch-5_14_21-150500_13_5-rt-8-150500.2.2
    * kernel-livepatch-5_14_21-150500_13_5-rt-debuginfo-8-150500.2.2
  * SUSE Linux Enterprise Live Patching 15-SP5 (x86_64)
    * kernel-livepatch-SLE15-SP5-RT_Update_1-debugsource-8-150500.2.2
    * kernel-livepatch-5_14_21-150500_13_5-rt-8-150500.2.2
    * kernel-livepatch-5_14_21-150500_13_5-rt-debuginfo-8-150500.2.2

## References:

  * https://www.suse.com/security/cve/CVE-2023-39191.html
  * https://www.suse.com/security/cve/CVE-2023-46813.html
  * https://www.suse.com/security/cve/CVE-2023-51779.html
  * https://www.suse.com/security/cve/CVE-2023-6531.html
  * https://bugzilla.suse.com/show_bug.cgi?id=1215887
  * https://bugzilla.suse.com/show_bug.cgi?id=1216898
  * https://bugzilla.suse.com/show_bug.cgi?id=1218487
  * https://bugzilla.suse.com/show_bug.cgi?id=1218610

SUSE: 2024:0995-1 important: the Linux Kernel RT (Live Patch 1 for SLE

March 26, 2024
* bsc#1215887 * bsc#1216898 * bsc#1218487 * bsc#1218610

Summary

## This update for the Linux Kernel 5.14.21-150500_13_5 fixes several issues. The following security issues were fixed: * CVE-2023-6531: Fixed a use-after-free flaw due to a race problem in the unix garbage collector's deletion of SKB races with unix_stream_read_generic()on the socket that the SKB is queued on (bsc#1218487). * CVE-2023-46813: Fixed a local privilege escalation with user-space programs that have access to MMIO regions (bsc#1216898). * CVE-2023-39191: Fixed a lack of validation of dynamic pointers within user- supplied eBPF programs that may have allowed an attacker with CAP_BPF privileges to escalate privileges and execute arbitrary code. (bsc#1215863) * CVE-2023-51779: Fixed a use-after-free because of a bt_sock_ioctl race condition in bt_sock_recvmsg (bsc#1218610). ## Patch Instructions: To install this SUSE update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: * openSUSE Leap 15.5 zypper in -t patch SUSE-2024-995=1 * SUSE Linux Enterprise Live Patching 15-SP5 zypper in -t patch SUSE-SLE-Module-Live-Patching-15-SP5-2024-995=1 ## Package List: * openSUSE Leap 15.5 (x86_64) * kernel-livepatch-SLE15-SP5-RT_Update_1-debugsource-8-150500.2.2 * kernel-livepatch-5_14_21-150500_13_5-rt-8-150500.2.2 * kernel-livepatch-5_14_21-150500_13_5-rt-debuginfo-8-150500.2.2 * SUSE Linux Enterprise Live Patching 15-SP5 (x86_64) * kernel-livepatch-SLE15-SP5-RT_Update_1-debugsource-8-150500.2.2 * kernel-livepatch-5_14_21-150500_13_5-rt-8-150500.2.2 * kernel-livepatch-5_14_21-150500_13_5-rt-debuginfo-8-150500.2.2

References

* bsc#1215887

* bsc#1216898

* bsc#1218487

* bsc#1218610

Cross-

* CVE-2023-39191

* CVE-2023-46813

* CVE-2023-51779

* CVE-2023-6531

CVSS scores:

* CVE-2023-39191 ( SUSE ): 8.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H

* CVE-2023-39191 ( NVD ): 8.2 CVSS:3.1/AV:L/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:H

* CVE-2023-46813 ( SUSE ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-46813 ( NVD ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-51779 ( SUSE ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-6531 ( SUSE ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

* CVE-2023-6531 ( NVD ): 7.0 CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:H/I:H/A:H

Affected Products:

* openSUSE Leap 15.5

* SUSE Linux Enterprise High Performance Computing 15 SP5

* SUSE Linux Enterprise Live Patching 15-SP5

* SUSE Linux Enterprise Micro 5.5

* SUSE Linux Enterprise Real Time 15 SP5

* SUSE Linux Enterprise Server 15 SP5

* SUSE Linux Enterprise Server for SAP Applications 15 SP5

An update that solves four vulnerabilities can now be installed.

##

* https://www.suse.com/security/cve/CVE-2023-39191.html

* https://www.suse.com/security/cve/CVE-2023-46813.html

* https://www.suse.com/security/cve/CVE-2023-51779.html

* https://www.suse.com/security/cve/CVE-2023-6531.html

* https://bugzilla.suse.com/show_bug.cgi?id=1215887

* https://bugzilla.suse.com/show_bug.cgi?id=1216898

* https://bugzilla.suse.com/show_bug.cgi?id=1218487

* https://bugzilla.suse.com/show_bug.cgi?id=1218610

Severity
Announcement ID: SUSE-SU-2024:0995-1
Rating: important

Related News